// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// source: backend/api/pipeline.proto

package go_client // import "github.com/kubeflow/pipelines/backend/api/go_client"

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import empty "github.com/golang/protobuf/ptypes/empty"
import timestamp "github.com/golang/protobuf/ptypes/timestamp"
import _ "github.com/grpc-ecosystem/grpc-gateway/protoc-gen-swagger/options"
import _ "google.golang.org/genproto/googleapis/api/annotations"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Url struct {
	PipelineUrl          string   `protobuf:"bytes,1,opt,name=pipeline_url,json=pipelineUrl,proto3" json:"pipeline_url,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Url) Reset()         { *m = Url{} }
func (m *Url) String() string { return proto.CompactTextString(m) }
func (*Url) ProtoMessage()    {}
func (*Url) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{0}
}
func (m *Url) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Url.Unmarshal(m, b)
}
func (m *Url) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Url.Marshal(b, m, deterministic)
}
func (dst *Url) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Url.Merge(dst, src)
}
func (m *Url) XXX_Size() int {
	return xxx_messageInfo_Url.Size(m)
}
func (m *Url) XXX_DiscardUnknown() {
	xxx_messageInfo_Url.DiscardUnknown(m)
}

var xxx_messageInfo_Url proto.InternalMessageInfo

func (m *Url) GetPipelineUrl() string {
	if m != nil {
		return m.PipelineUrl
	}
	return ""
}

type CreatePipelineRequest struct {
	Pipeline             *Pipeline `protobuf:"bytes,1,opt,name=pipeline,proto3" json:"pipeline,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *CreatePipelineRequest) Reset()         { *m = CreatePipelineRequest{} }
func (m *CreatePipelineRequest) String() string { return proto.CompactTextString(m) }
func (*CreatePipelineRequest) ProtoMessage()    {}
func (*CreatePipelineRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{1}
}
func (m *CreatePipelineRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreatePipelineRequest.Unmarshal(m, b)
}
func (m *CreatePipelineRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreatePipelineRequest.Marshal(b, m, deterministic)
}
func (dst *CreatePipelineRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreatePipelineRequest.Merge(dst, src)
}
func (m *CreatePipelineRequest) XXX_Size() int {
	return xxx_messageInfo_CreatePipelineRequest.Size(m)
}
func (m *CreatePipelineRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreatePipelineRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreatePipelineRequest proto.InternalMessageInfo

func (m *CreatePipelineRequest) GetPipeline() *Pipeline {
	if m != nil {
		return m.Pipeline
	}
	return nil
}

type GetPipelineRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetPipelineRequest) Reset()         { *m = GetPipelineRequest{} }
func (m *GetPipelineRequest) String() string { return proto.CompactTextString(m) }
func (*GetPipelineRequest) ProtoMessage()    {}
func (*GetPipelineRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{2}
}
func (m *GetPipelineRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPipelineRequest.Unmarshal(m, b)
}
func (m *GetPipelineRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPipelineRequest.Marshal(b, m, deterministic)
}
func (dst *GetPipelineRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPipelineRequest.Merge(dst, src)
}
func (m *GetPipelineRequest) XXX_Size() int {
	return xxx_messageInfo_GetPipelineRequest.Size(m)
}
func (m *GetPipelineRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPipelineRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetPipelineRequest proto.InternalMessageInfo

func (m *GetPipelineRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type ListPipelinesRequest struct {
	PageToken            string   `protobuf:"bytes,1,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	PageSize             int32    `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	SortBy               string   `protobuf:"bytes,3,opt,name=sort_by,json=sortBy,proto3" json:"sort_by,omitempty"`
	Filter               string   `protobuf:"bytes,4,opt,name=filter,proto3" json:"filter,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListPipelinesRequest) Reset()         { *m = ListPipelinesRequest{} }
func (m *ListPipelinesRequest) String() string { return proto.CompactTextString(m) }
func (*ListPipelinesRequest) ProtoMessage()    {}
func (*ListPipelinesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{3}
}
func (m *ListPipelinesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListPipelinesRequest.Unmarshal(m, b)
}
func (m *ListPipelinesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListPipelinesRequest.Marshal(b, m, deterministic)
}
func (dst *ListPipelinesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListPipelinesRequest.Merge(dst, src)
}
func (m *ListPipelinesRequest) XXX_Size() int {
	return xxx_messageInfo_ListPipelinesRequest.Size(m)
}
func (m *ListPipelinesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListPipelinesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListPipelinesRequest proto.InternalMessageInfo

func (m *ListPipelinesRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

func (m *ListPipelinesRequest) GetPageSize() int32 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListPipelinesRequest) GetSortBy() string {
	if m != nil {
		return m.SortBy
	}
	return ""
}

func (m *ListPipelinesRequest) GetFilter() string {
	if m != nil {
		return m.Filter
	}
	return ""
}

type ListPipelinesResponse struct {
	Pipelines            []*Pipeline `protobuf:"bytes,1,rep,name=pipelines,proto3" json:"pipelines,omitempty"`
	TotalSize            int32       `protobuf:"varint,3,opt,name=total_size,json=totalSize,proto3" json:"total_size,omitempty"`
	NextPageToken        string      `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ListPipelinesResponse) Reset()         { *m = ListPipelinesResponse{} }
func (m *ListPipelinesResponse) String() string { return proto.CompactTextString(m) }
func (*ListPipelinesResponse) ProtoMessage()    {}
func (*ListPipelinesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{4}
}
func (m *ListPipelinesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListPipelinesResponse.Unmarshal(m, b)
}
func (m *ListPipelinesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListPipelinesResponse.Marshal(b, m, deterministic)
}
func (dst *ListPipelinesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListPipelinesResponse.Merge(dst, src)
}
func (m *ListPipelinesResponse) XXX_Size() int {
	return xxx_messageInfo_ListPipelinesResponse.Size(m)
}
func (m *ListPipelinesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListPipelinesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListPipelinesResponse proto.InternalMessageInfo

func (m *ListPipelinesResponse) GetPipelines() []*Pipeline {
	if m != nil {
		return m.Pipelines
	}
	return nil
}

func (m *ListPipelinesResponse) GetTotalSize() int32 {
	if m != nil {
		return m.TotalSize
	}
	return 0
}

func (m *ListPipelinesResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

type DeletePipelineRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeletePipelineRequest) Reset()         { *m = DeletePipelineRequest{} }
func (m *DeletePipelineRequest) String() string { return proto.CompactTextString(m) }
func (*DeletePipelineRequest) ProtoMessage()    {}
func (*DeletePipelineRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{5}
}
func (m *DeletePipelineRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeletePipelineRequest.Unmarshal(m, b)
}
func (m *DeletePipelineRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeletePipelineRequest.Marshal(b, m, deterministic)
}
func (dst *DeletePipelineRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeletePipelineRequest.Merge(dst, src)
}
func (m *DeletePipelineRequest) XXX_Size() int {
	return xxx_messageInfo_DeletePipelineRequest.Size(m)
}
func (m *DeletePipelineRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeletePipelineRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeletePipelineRequest proto.InternalMessageInfo

func (m *DeletePipelineRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type GetTemplateRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTemplateRequest) Reset()         { *m = GetTemplateRequest{} }
func (m *GetTemplateRequest) String() string { return proto.CompactTextString(m) }
func (*GetTemplateRequest) ProtoMessage()    {}
func (*GetTemplateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{6}
}
func (m *GetTemplateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTemplateRequest.Unmarshal(m, b)
}
func (m *GetTemplateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTemplateRequest.Marshal(b, m, deterministic)
}
func (dst *GetTemplateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTemplateRequest.Merge(dst, src)
}
func (m *GetTemplateRequest) XXX_Size() int {
	return xxx_messageInfo_GetTemplateRequest.Size(m)
}
func (m *GetTemplateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTemplateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetTemplateRequest proto.InternalMessageInfo

func (m *GetTemplateRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type GetTemplateResponse struct {
	Template             string   `protobuf:"bytes,1,opt,name=template,proto3" json:"template,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTemplateResponse) Reset()         { *m = GetTemplateResponse{} }
func (m *GetTemplateResponse) String() string { return proto.CompactTextString(m) }
func (*GetTemplateResponse) ProtoMessage()    {}
func (*GetTemplateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{7}
}
func (m *GetTemplateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTemplateResponse.Unmarshal(m, b)
}
func (m *GetTemplateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTemplateResponse.Marshal(b, m, deterministic)
}
func (dst *GetTemplateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTemplateResponse.Merge(dst, src)
}
func (m *GetTemplateResponse) XXX_Size() int {
	return xxx_messageInfo_GetTemplateResponse.Size(m)
}
func (m *GetTemplateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTemplateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetTemplateResponse proto.InternalMessageInfo

func (m *GetTemplateResponse) GetTemplate() string {
	if m != nil {
		return m.Template
	}
	return ""
}

type GetPipelineVersionTemplateRequest struct {
	VersionId            string   `protobuf:"bytes,1,opt,name=version_id,json=versionId,proto3" json:"version_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetPipelineVersionTemplateRequest) Reset()         { *m = GetPipelineVersionTemplateRequest{} }
func (m *GetPipelineVersionTemplateRequest) String() string { return proto.CompactTextString(m) }
func (*GetPipelineVersionTemplateRequest) ProtoMessage()    {}
func (*GetPipelineVersionTemplateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{8}
}
func (m *GetPipelineVersionTemplateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPipelineVersionTemplateRequest.Unmarshal(m, b)
}
func (m *GetPipelineVersionTemplateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPipelineVersionTemplateRequest.Marshal(b, m, deterministic)
}
func (dst *GetPipelineVersionTemplateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPipelineVersionTemplateRequest.Merge(dst, src)
}
func (m *GetPipelineVersionTemplateRequest) XXX_Size() int {
	return xxx_messageInfo_GetPipelineVersionTemplateRequest.Size(m)
}
func (m *GetPipelineVersionTemplateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPipelineVersionTemplateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetPipelineVersionTemplateRequest proto.InternalMessageInfo

func (m *GetPipelineVersionTemplateRequest) GetVersionId() string {
	if m != nil {
		return m.VersionId
	}
	return ""
}

type CreatePipelineVersionRequest struct {
	Version              *PipelineVersion `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *CreatePipelineVersionRequest) Reset()         { *m = CreatePipelineVersionRequest{} }
func (m *CreatePipelineVersionRequest) String() string { return proto.CompactTextString(m) }
func (*CreatePipelineVersionRequest) ProtoMessage()    {}
func (*CreatePipelineVersionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{9}
}
func (m *CreatePipelineVersionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreatePipelineVersionRequest.Unmarshal(m, b)
}
func (m *CreatePipelineVersionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreatePipelineVersionRequest.Marshal(b, m, deterministic)
}
func (dst *CreatePipelineVersionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreatePipelineVersionRequest.Merge(dst, src)
}
func (m *CreatePipelineVersionRequest) XXX_Size() int {
	return xxx_messageInfo_CreatePipelineVersionRequest.Size(m)
}
func (m *CreatePipelineVersionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreatePipelineVersionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreatePipelineVersionRequest proto.InternalMessageInfo

func (m *CreatePipelineVersionRequest) GetVersion() *PipelineVersion {
	if m != nil {
		return m.Version
	}
	return nil
}

type GetPipelineVersionRequest struct {
	VersionId            string   `protobuf:"bytes,1,opt,name=version_id,json=versionId,proto3" json:"version_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetPipelineVersionRequest) Reset()         { *m = GetPipelineVersionRequest{} }
func (m *GetPipelineVersionRequest) String() string { return proto.CompactTextString(m) }
func (*GetPipelineVersionRequest) ProtoMessage()    {}
func (*GetPipelineVersionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{10}
}
func (m *GetPipelineVersionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPipelineVersionRequest.Unmarshal(m, b)
}
func (m *GetPipelineVersionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPipelineVersionRequest.Marshal(b, m, deterministic)
}
func (dst *GetPipelineVersionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPipelineVersionRequest.Merge(dst, src)
}
func (m *GetPipelineVersionRequest) XXX_Size() int {
	return xxx_messageInfo_GetPipelineVersionRequest.Size(m)
}
func (m *GetPipelineVersionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPipelineVersionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetPipelineVersionRequest proto.InternalMessageInfo

func (m *GetPipelineVersionRequest) GetVersionId() string {
	if m != nil {
		return m.VersionId
	}
	return ""
}

type ListPipelineVersionsRequest struct {
	ResourceKey          *ResourceKey `protobuf:"bytes,1,opt,name=resource_key,json=resourceKey,proto3" json:"resource_key,omitempty"`
	PageSize             int32        `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	PageToken            string       `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	SortBy               string       `protobuf:"bytes,4,opt,name=sort_by,json=sortBy,proto3" json:"sort_by,omitempty"`
	Filter               string       `protobuf:"bytes,5,opt,name=filter,proto3" json:"filter,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *ListPipelineVersionsRequest) Reset()         { *m = ListPipelineVersionsRequest{} }
func (m *ListPipelineVersionsRequest) String() string { return proto.CompactTextString(m) }
func (*ListPipelineVersionsRequest) ProtoMessage()    {}
func (*ListPipelineVersionsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{11}
}
func (m *ListPipelineVersionsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListPipelineVersionsRequest.Unmarshal(m, b)
}
func (m *ListPipelineVersionsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListPipelineVersionsRequest.Marshal(b, m, deterministic)
}
func (dst *ListPipelineVersionsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListPipelineVersionsRequest.Merge(dst, src)
}
func (m *ListPipelineVersionsRequest) XXX_Size() int {
	return xxx_messageInfo_ListPipelineVersionsRequest.Size(m)
}
func (m *ListPipelineVersionsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListPipelineVersionsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListPipelineVersionsRequest proto.InternalMessageInfo

func (m *ListPipelineVersionsRequest) GetResourceKey() *ResourceKey {
	if m != nil {
		return m.ResourceKey
	}
	return nil
}

func (m *ListPipelineVersionsRequest) GetPageSize() int32 {
	if m != nil {
		return m.PageSize
	}
	return 0
}

func (m *ListPipelineVersionsRequest) GetPageToken() string {
	if m != nil {
		return m.PageToken
	}
	return ""
}

func (m *ListPipelineVersionsRequest) GetSortBy() string {
	if m != nil {
		return m.SortBy
	}
	return ""
}

func (m *ListPipelineVersionsRequest) GetFilter() string {
	if m != nil {
		return m.Filter
	}
	return ""
}

type ListPipelineVersionsResponse struct {
	Versions             []*PipelineVersion `protobuf:"bytes,1,rep,name=versions,proto3" json:"versions,omitempty"`
	NextPageToken        string             `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	TotalSize            int32              `protobuf:"varint,3,opt,name=total_size,json=totalSize,proto3" json:"total_size,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *ListPipelineVersionsResponse) Reset()         { *m = ListPipelineVersionsResponse{} }
func (m *ListPipelineVersionsResponse) String() string { return proto.CompactTextString(m) }
func (*ListPipelineVersionsResponse) ProtoMessage()    {}
func (*ListPipelineVersionsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{12}
}
func (m *ListPipelineVersionsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListPipelineVersionsResponse.Unmarshal(m, b)
}
func (m *ListPipelineVersionsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListPipelineVersionsResponse.Marshal(b, m, deterministic)
}
func (dst *ListPipelineVersionsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListPipelineVersionsResponse.Merge(dst, src)
}
func (m *ListPipelineVersionsResponse) XXX_Size() int {
	return xxx_messageInfo_ListPipelineVersionsResponse.Size(m)
}
func (m *ListPipelineVersionsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListPipelineVersionsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListPipelineVersionsResponse proto.InternalMessageInfo

func (m *ListPipelineVersionsResponse) GetVersions() []*PipelineVersion {
	if m != nil {
		return m.Versions
	}
	return nil
}

func (m *ListPipelineVersionsResponse) GetNextPageToken() string {
	if m != nil {
		return m.NextPageToken
	}
	return ""
}

func (m *ListPipelineVersionsResponse) GetTotalSize() int32 {
	if m != nil {
		return m.TotalSize
	}
	return 0
}

type DeletePipelineVersionRequest struct {
	VersionId            string   `protobuf:"bytes,1,opt,name=version_id,json=versionId,proto3" json:"version_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeletePipelineVersionRequest) Reset()         { *m = DeletePipelineVersionRequest{} }
func (m *DeletePipelineVersionRequest) String() string { return proto.CompactTextString(m) }
func (*DeletePipelineVersionRequest) ProtoMessage()    {}
func (*DeletePipelineVersionRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{13}
}
func (m *DeletePipelineVersionRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeletePipelineVersionRequest.Unmarshal(m, b)
}
func (m *DeletePipelineVersionRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeletePipelineVersionRequest.Marshal(b, m, deterministic)
}
func (dst *DeletePipelineVersionRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeletePipelineVersionRequest.Merge(dst, src)
}
func (m *DeletePipelineVersionRequest) XXX_Size() int {
	return xxx_messageInfo_DeletePipelineVersionRequest.Size(m)
}
func (m *DeletePipelineVersionRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeletePipelineVersionRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeletePipelineVersionRequest proto.InternalMessageInfo

func (m *DeletePipelineVersionRequest) GetVersionId() string {
	if m != nil {
		return m.VersionId
	}
	return ""
}

type Pipeline struct {
	Id                   string               `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	CreatedAt            *timestamp.Timestamp `protobuf:"bytes,2,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	Name                 string               `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Description          string               `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	Parameters           []*Parameter         `protobuf:"bytes,5,rep,name=parameters,proto3" json:"parameters,omitempty"`
	Url                  *Url                 `protobuf:"bytes,7,opt,name=url,proto3" json:"url,omitempty"`
	Error                string               `protobuf:"bytes,6,opt,name=error,proto3" json:"error,omitempty"`
	DefaultVersion       *PipelineVersion     `protobuf:"bytes,8,opt,name=default_version,json=defaultVersion,proto3" json:"default_version,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Pipeline) Reset()         { *m = Pipeline{} }
func (m *Pipeline) String() string { return proto.CompactTextString(m) }
func (*Pipeline) ProtoMessage()    {}
func (*Pipeline) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{14}
}
func (m *Pipeline) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Pipeline.Unmarshal(m, b)
}
func (m *Pipeline) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Pipeline.Marshal(b, m, deterministic)
}
func (dst *Pipeline) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Pipeline.Merge(dst, src)
}
func (m *Pipeline) XXX_Size() int {
	return xxx_messageInfo_Pipeline.Size(m)
}
func (m *Pipeline) XXX_DiscardUnknown() {
	xxx_messageInfo_Pipeline.DiscardUnknown(m)
}

var xxx_messageInfo_Pipeline proto.InternalMessageInfo

func (m *Pipeline) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Pipeline) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *Pipeline) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Pipeline) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Pipeline) GetParameters() []*Parameter {
	if m != nil {
		return m.Parameters
	}
	return nil
}

func (m *Pipeline) GetUrl() *Url {
	if m != nil {
		return m.Url
	}
	return nil
}

func (m *Pipeline) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *Pipeline) GetDefaultVersion() *PipelineVersion {
	if m != nil {
		return m.DefaultVersion
	}
	return nil
}

type PipelineVersion struct {
	Id                   string               `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string               `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	CreatedAt            *timestamp.Timestamp `protobuf:"bytes,3,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	Parameters           []*Parameter         `protobuf:"bytes,4,rep,name=parameters,proto3" json:"parameters,omitempty"`
	CodeSourceUrl        string               `protobuf:"bytes,5,opt,name=code_source_url,json=codeSourceUrl,proto3" json:"code_source_url,omitempty"`
	PackageUrl           *Url                 `protobuf:"bytes,6,opt,name=package_url,json=packageUrl,proto3" json:"package_url,omitempty"`
	ResourceReferences   []*ResourceReference `protobuf:"bytes,7,rep,name=resource_references,json=resourceReferences,proto3" json:"resource_references,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *PipelineVersion) Reset()         { *m = PipelineVersion{} }
func (m *PipelineVersion) String() string { return proto.CompactTextString(m) }
func (*PipelineVersion) ProtoMessage()    {}
func (*PipelineVersion) Descriptor() ([]byte, []int) {
	return fileDescriptor_pipeline_1d626cf7548f7a80, []int{15}
}
func (m *PipelineVersion) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PipelineVersion.Unmarshal(m, b)
}
func (m *PipelineVersion) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PipelineVersion.Marshal(b, m, deterministic)
}
func (dst *PipelineVersion) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PipelineVersion.Merge(dst, src)
}
func (m *PipelineVersion) XXX_Size() int {
	return xxx_messageInfo_PipelineVersion.Size(m)
}
func (m *PipelineVersion) XXX_DiscardUnknown() {
	xxx_messageInfo_PipelineVersion.DiscardUnknown(m)
}

var xxx_messageInfo_PipelineVersion proto.InternalMessageInfo

func (m *PipelineVersion) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *PipelineVersion) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *PipelineVersion) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *PipelineVersion) GetParameters() []*Parameter {
	if m != nil {
		return m.Parameters
	}
	return nil
}

func (m *PipelineVersion) GetCodeSourceUrl() string {
	if m != nil {
		return m.CodeSourceUrl
	}
	return ""
}

func (m *PipelineVersion) GetPackageUrl() *Url {
	if m != nil {
		return m.PackageUrl
	}
	return nil
}

func (m *PipelineVersion) GetResourceReferences() []*ResourceReference {
	if m != nil {
		return m.ResourceReferences
	}
	return nil
}

func init() {
	proto.RegisterType((*Url)(nil), "api.Url")
	proto.RegisterType((*CreatePipelineRequest)(nil), "api.CreatePipelineRequest")
	proto.RegisterType((*GetPipelineRequest)(nil), "api.GetPipelineRequest")
	proto.RegisterType((*ListPipelinesRequest)(nil), "api.ListPipelinesRequest")
	proto.RegisterType((*ListPipelinesResponse)(nil), "api.ListPipelinesResponse")
	proto.RegisterType((*DeletePipelineRequest)(nil), "api.DeletePipelineRequest")
	proto.RegisterType((*GetTemplateRequest)(nil), "api.GetTemplateRequest")
	proto.RegisterType((*GetTemplateResponse)(nil), "api.GetTemplateResponse")
	proto.RegisterType((*GetPipelineVersionTemplateRequest)(nil), "api.GetPipelineVersionTemplateRequest")
	proto.RegisterType((*CreatePipelineVersionRequest)(nil), "api.CreatePipelineVersionRequest")
	proto.RegisterType((*GetPipelineVersionRequest)(nil), "api.GetPipelineVersionRequest")
	proto.RegisterType((*ListPipelineVersionsRequest)(nil), "api.ListPipelineVersionsRequest")
	proto.RegisterType((*ListPipelineVersionsResponse)(nil), "api.ListPipelineVersionsResponse")
	proto.RegisterType((*DeletePipelineVersionRequest)(nil), "api.DeletePipelineVersionRequest")
	proto.RegisterType((*Pipeline)(nil), "api.Pipeline")
	proto.RegisterType((*PipelineVersion)(nil), "api.PipelineVersion")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// PipelineServiceClient is the client API for PipelineService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PipelineServiceClient interface {
	CreatePipeline(ctx context.Context, in *CreatePipelineRequest, opts ...grpc.CallOption) (*Pipeline, error)
	GetPipeline(ctx context.Context, in *GetPipelineRequest, opts ...grpc.CallOption) (*Pipeline, error)
	ListPipelines(ctx context.Context, in *ListPipelinesRequest, opts ...grpc.CallOption) (*ListPipelinesResponse, error)
	DeletePipeline(ctx context.Context, in *DeletePipelineRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	GetTemplate(ctx context.Context, in *GetTemplateRequest, opts ...grpc.CallOption) (*GetTemplateResponse, error)
	CreatePipelineVersion(ctx context.Context, in *CreatePipelineVersionRequest, opts ...grpc.CallOption) (*PipelineVersion, error)
	GetPipelineVersion(ctx context.Context, in *GetPipelineVersionRequest, opts ...grpc.CallOption) (*PipelineVersion, error)
	ListPipelineVersions(ctx context.Context, in *ListPipelineVersionsRequest, opts ...grpc.CallOption) (*ListPipelineVersionsResponse, error)
	DeletePipelineVersion(ctx context.Context, in *DeletePipelineVersionRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	GetPipelineVersionTemplate(ctx context.Context, in *GetPipelineVersionTemplateRequest, opts ...grpc.CallOption) (*GetTemplateResponse, error)
}

type pipelineServiceClient struct {
	cc *grpc.ClientConn
}

func NewPipelineServiceClient(cc *grpc.ClientConn) PipelineServiceClient {
	return &pipelineServiceClient{cc}
}

func (c *pipelineServiceClient) CreatePipeline(ctx context.Context, in *CreatePipelineRequest, opts ...grpc.CallOption) (*Pipeline, error) {
	out := new(Pipeline)
	err := c.cc.Invoke(ctx, "/api.PipelineService/CreatePipeline", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) GetPipeline(ctx context.Context, in *GetPipelineRequest, opts ...grpc.CallOption) (*Pipeline, error) {
	out := new(Pipeline)
	err := c.cc.Invoke(ctx, "/api.PipelineService/GetPipeline", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) ListPipelines(ctx context.Context, in *ListPipelinesRequest, opts ...grpc.CallOption) (*ListPipelinesResponse, error) {
	out := new(ListPipelinesResponse)
	err := c.cc.Invoke(ctx, "/api.PipelineService/ListPipelines", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) DeletePipeline(ctx context.Context, in *DeletePipelineRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/api.PipelineService/DeletePipeline", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) GetTemplate(ctx context.Context, in *GetTemplateRequest, opts ...grpc.CallOption) (*GetTemplateResponse, error) {
	out := new(GetTemplateResponse)
	err := c.cc.Invoke(ctx, "/api.PipelineService/GetTemplate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) CreatePipelineVersion(ctx context.Context, in *CreatePipelineVersionRequest, opts ...grpc.CallOption) (*PipelineVersion, error) {
	out := new(PipelineVersion)
	err := c.cc.Invoke(ctx, "/api.PipelineService/CreatePipelineVersion", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) GetPipelineVersion(ctx context.Context, in *GetPipelineVersionRequest, opts ...grpc.CallOption) (*PipelineVersion, error) {
	out := new(PipelineVersion)
	err := c.cc.Invoke(ctx, "/api.PipelineService/GetPipelineVersion", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) ListPipelineVersions(ctx context.Context, in *ListPipelineVersionsRequest, opts ...grpc.CallOption) (*ListPipelineVersionsResponse, error) {
	out := new(ListPipelineVersionsResponse)
	err := c.cc.Invoke(ctx, "/api.PipelineService/ListPipelineVersions", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) DeletePipelineVersion(ctx context.Context, in *DeletePipelineVersionRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/api.PipelineService/DeletePipelineVersion", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) GetPipelineVersionTemplate(ctx context.Context, in *GetPipelineVersionTemplateRequest, opts ...grpc.CallOption) (*GetTemplateResponse, error) {
	out := new(GetTemplateResponse)
	err := c.cc.Invoke(ctx, "/api.PipelineService/GetPipelineVersionTemplate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PipelineServiceServer is the server API for PipelineService service.
type PipelineServiceServer interface {
	CreatePipeline(context.Context, *CreatePipelineRequest) (*Pipeline, error)
	GetPipeline(context.Context, *GetPipelineRequest) (*Pipeline, error)
	ListPipelines(context.Context, *ListPipelinesRequest) (*ListPipelinesResponse, error)
	DeletePipeline(context.Context, *DeletePipelineRequest) (*empty.Empty, error)
	GetTemplate(context.Context, *GetTemplateRequest) (*GetTemplateResponse, error)
	CreatePipelineVersion(context.Context, *CreatePipelineVersionRequest) (*PipelineVersion, error)
	GetPipelineVersion(context.Context, *GetPipelineVersionRequest) (*PipelineVersion, error)
	ListPipelineVersions(context.Context, *ListPipelineVersionsRequest) (*ListPipelineVersionsResponse, error)
	DeletePipelineVersion(context.Context, *DeletePipelineVersionRequest) (*empty.Empty, error)
	GetPipelineVersionTemplate(context.Context, *GetPipelineVersionTemplateRequest) (*GetTemplateResponse, error)
}

func RegisterPipelineServiceServer(s *grpc.Server, srv PipelineServiceServer) {
	s.RegisterService(&_PipelineService_serviceDesc, srv)
}

func _PipelineService_CreatePipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreatePipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).CreatePipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/CreatePipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).CreatePipeline(ctx, req.(*CreatePipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_GetPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).GetPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/GetPipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).GetPipeline(ctx, req.(*GetPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_ListPipelines_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListPipelinesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ListPipelines(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/ListPipelines",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ListPipelines(ctx, req.(*ListPipelinesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_DeletePipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).DeletePipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/DeletePipeline",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).DeletePipeline(ctx, req.(*DeletePipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_GetTemplate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTemplateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).GetTemplate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/GetTemplate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).GetTemplate(ctx, req.(*GetTemplateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_CreatePipelineVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreatePipelineVersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).CreatePipelineVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/CreatePipelineVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).CreatePipelineVersion(ctx, req.(*CreatePipelineVersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_GetPipelineVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelineVersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).GetPipelineVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/GetPipelineVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).GetPipelineVersion(ctx, req.(*GetPipelineVersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_ListPipelineVersions_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListPipelineVersionsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ListPipelineVersions(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/ListPipelineVersions",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ListPipelineVersions(ctx, req.(*ListPipelineVersionsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_DeletePipelineVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeletePipelineVersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).DeletePipelineVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/DeletePipelineVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).DeletePipelineVersion(ctx, req.(*DeletePipelineVersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_GetPipelineVersionTemplate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelineVersionTemplateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).GetPipelineVersionTemplate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.PipelineService/GetPipelineVersionTemplate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).GetPipelineVersionTemplate(ctx, req.(*GetPipelineVersionTemplateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PipelineService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "api.PipelineService",
	HandlerType: (*PipelineServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreatePipeline",
			Handler:    _PipelineService_CreatePipeline_Handler,
		},
		{
			MethodName: "GetPipeline",
			Handler:    _PipelineService_GetPipeline_Handler,
		},
		{
			MethodName: "ListPipelines",
			Handler:    _PipelineService_ListPipelines_Handler,
		},
		{
			MethodName: "DeletePipeline",
			Handler:    _PipelineService_DeletePipeline_Handler,
		},
		{
			MethodName: "GetTemplate",
			Handler:    _PipelineService_GetTemplate_Handler,
		},
		{
			MethodName: "CreatePipelineVersion",
			Handler:    _PipelineService_CreatePipelineVersion_Handler,
		},
		{
			MethodName: "GetPipelineVersion",
			Handler:    _PipelineService_GetPipelineVersion_Handler,
		},
		{
			MethodName: "ListPipelineVersions",
			Handler:    _PipelineService_ListPipelineVersions_Handler,
		},
		{
			MethodName: "DeletePipelineVersion",
			Handler:    _PipelineService_DeletePipelineVersion_Handler,
		},
		{
			MethodName: "GetPipelineVersionTemplate",
			Handler:    _PipelineService_GetPipelineVersionTemplate_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "backend/api/pipeline.proto",
}

func init() {
	proto.RegisterFile("backend/api/pipeline.proto", fileDescriptor_pipeline_1d626cf7548f7a80)
}

var fileDescriptor_pipeline_1d626cf7548f7a80 = []byte{
	// 1184 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x57, 0xdd, 0x6e, 0x1b, 0x45,
	0x14, 0x66, 0xed, 0xc4, 0xb1, 0x8f, 0xeb, 0x04, 0xa6, 0x4d, 0xe2, 0x6c, 0x9c, 0xc6, 0x59, 0xa2,
	0x34, 0x09, 0xad, 0xdd, 0x24, 0x08, 0x41, 0xa4, 0x22, 0x35, 0x80, 0x2a, 0xc4, 0x8f, 0x2a, 0x27,
	0xe1, 0xa2, 0x5c, 0x58, 0xe3, 0xf5, 0xb1, 0xbb, 0x64, 0xbd, 0xbb, 0xcc, 0x8c, 0x53, 0x92, 0xaa,
	0x12, 0x2a, 0x20, 0x21, 0x71, 0x07, 0x17, 0xdc, 0xf1, 0x04, 0x3c, 0x02, 0x12, 0x0f, 0xc1, 0x0d,
	0x0f, 0xc0, 0x83, 0xa0, 0x1d, 0xcf, 0xac, 0x77, 0xd7, 0x3f, 0x49, 0xae, 0x92, 0x39, 0xe7, 0x9b,
	0x3d, 0xe7, 0x7c, 0xf3, 0xcd, 0x39, 0x63, 0x30, 0x5b, 0xd4, 0x3e, 0x43, 0xaf, 0x5d, 0xa7, 0x81,
	0x53, 0x0f, 0x9c, 0x00, 0x5d, 0xc7, 0xc3, 0x5a, 0xc0, 0x7c, 0xe1, 0x93, 0x2c, 0x0d, 0x1c, 0xb3,
	0xd2, 0xf5, 0xfd, 0xae, 0x8b, 0xd2, 0x4f, 0x3d, 0xcf, 0x17, 0x54, 0x38, 0xbe, 0xc7, 0x07, 0x10,
	0x73, 0x5d, 0x79, 0xe5, 0xaa, 0xd5, 0xef, 0xd4, 0x85, 0xd3, 0x43, 0x2e, 0x68, 0x2f, 0x50, 0x80,
	0xd5, 0x34, 0x00, 0x7b, 0x81, 0xb8, 0x50, 0xce, 0xe5, 0x78, 0x70, 0x64, 0xcc, 0x67, 0x7a, 0x57,
	0x22, 0x2b, 0xca, 0x68, 0x0f, 0x05, 0x6a, 0xe7, 0xfa, 0xb8, 0x94, 0x9b, 0x3c, 0x40, 0x5b, 0x01,
	0x36, 0xe3, 0x00, 0x86, 0xdc, 0xef, 0x33, 0x1b, 0x9b, 0x0c, 0x3b, 0xc8, 0xd0, 0xb3, 0x55, 0x75,
	0xe6, 0x7d, 0xf9, 0xc7, 0x7e, 0xd0, 0x45, 0xef, 0x01, 0x7f, 0x41, 0xbb, 0x5d, 0x64, 0x75, 0x3f,
	0x90, 0xc5, 0x8d, 0x16, 0x6a, 0x6d, 0x43, 0xf6, 0x94, 0xb9, 0x64, 0x03, 0x6e, 0x45, 0x11, 0xfb,
	0xcc, 0x2d, 0x1b, 0x55, 0x63, 0xbb, 0xd0, 0x28, 0x6a, 0xdb, 0x29, 0x73, 0xad, 0x23, 0x58, 0xfc,
	0x88, 0x21, 0x15, 0xf8, 0x54, 0x19, 0x1b, 0xf8, 0x6d, 0x1f, 0xb9, 0x20, 0x3b, 0x90, 0xd7, 0x38,
	0xb9, 0xaf, 0xb8, 0x5f, 0xaa, 0xd1, 0xc0, 0xa9, 0x45, 0xb8, 0xc8, 0x6d, 0x6d, 0x02, 0x79, 0x82,
	0x22, 0xfd, 0x81, 0x79, 0xc8, 0x38, 0x6d, 0x15, 0x32, 0xe3, 0xb4, 0xad, 0x1f, 0x0c, 0xb8, 0xf3,
	0xb9, 0xc3, 0x23, 0x1c, 0xd7, 0xc0, 0x35, 0x80, 0x80, 0x76, 0xb1, 0x29, 0xfc, 0x33, 0xf4, 0xd4,
	0x86, 0x42, 0x68, 0x39, 0x09, 0x0d, 0x64, 0x15, 0xe4, 0xa2, 0xc9, 0x9d, 0x4b, 0x2c, 0x67, 0xaa,
	0xc6, 0xf6, 0x6c, 0x23, 0x1f, 0x1a, 0x8e, 0x9d, 0x4b, 0x24, 0xcb, 0x30, 0xc7, 0x7d, 0x26, 0x9a,
	0xad, 0x8b, 0x72, 0x56, 0x6e, 0xcc, 0x85, 0xcb, 0xa3, 0x0b, 0xb2, 0x04, 0xb9, 0x8e, 0xe3, 0x0a,
	0x64, 0xe5, 0x99, 0x81, 0x7d, 0xb0, 0xb2, 0x7e, 0x31, 0x60, 0x31, 0x95, 0x05, 0x0f, 0x7c, 0x8f,
	0x23, 0x79, 0x07, 0x0a, 0xba, 0x22, 0x5e, 0x36, 0xaa, 0xd9, 0xd1, 0x8a, 0x87, 0xfe, 0x30, 0x67,
	0xe1, 0x0b, 0xea, 0x0e, 0xb2, 0xca, 0xca, 0xac, 0x0a, 0xd2, 0x22, 0xd3, 0xda, 0x82, 0x05, 0x0f,
	0xbf, 0x13, 0xcd, 0x58, 0x5d, 0x19, 0x99, 0x46, 0x29, 0x34, 0x3f, 0xd5, 0xb5, 0x59, 0xf7, 0x60,
	0xf1, 0x63, 0x74, 0x71, 0x94, 0xfd, 0x34, 0x79, 0x03, 0x8a, 0x4f, 0xb0, 0x17, 0xb8, 0x54, 0x4c,
	0x44, 0xed, 0xc1, 0xed, 0x04, 0x4a, 0x55, 0x66, 0x42, 0x5e, 0x28, 0x9b, 0x02, 0x47, 0x6b, 0xeb,
	0x08, 0x36, 0x62, 0x67, 0xf7, 0x15, 0x32, 0xee, 0xf8, 0x5e, 0x3a, 0xce, 0x1a, 0xc0, 0xf9, 0xc0,
	0xd3, 0x8c, 0xe2, 0x15, 0x94, 0xe5, 0xd3, 0xb6, 0xf5, 0x25, 0x54, 0x92, 0x1a, 0x52, 0x9f, 0xd1,
	0xdb, 0x6b, 0x30, 0xa7, 0xc0, 0x4a, 0x49, 0x77, 0x12, 0xbc, 0x6a, 0xb4, 0x06, 0x59, 0x87, 0xb0,
	0x32, 0x9a, 0xd3, 0x35, 0x73, 0xf9, 0xdb, 0x80, 0xd5, 0xf8, 0xf9, 0xaa, 0xdd, 0x91, 0xd8, 0x0e,
	0xe0, 0x56, 0x74, 0xc7, 0xce, 0xf0, 0x42, 0x25, 0xf4, 0xa6, 0x4c, 0xa8, 0xa1, 0x1c, 0x9f, 0xe1,
	0x45, 0xa3, 0xc8, 0x86, 0x8b, 0xe9, 0x12, 0x4c, 0xca, 0x37, 0x9b, 0x96, 0x6f, 0x4c, 0xa1, 0x33,
	0x13, 0x14, 0x3a, 0x9b, 0x50, 0xe8, 0xef, 0x06, 0x54, 0xc6, 0x57, 0xa0, 0x8e, 0xf3, 0x21, 0xe4,
	0x55, 0xbd, 0x5a, 0xa7, 0xe3, 0xf9, 0x8c, 0x50, 0xd7, 0x95, 0xe3, 0x15, 0xaa, 0xb6, 0x1e, 0x41,
	0x25, 0xa9, 0xd6, 0x9b, 0x1d, 0xcd, 0x9f, 0x19, 0xc8, 0xeb, 0x9d, 0x69, 0xe9, 0x92, 0x0f, 0x00,
	0x6c, 0xa9, 0xa1, 0x76, 0x93, 0x0a, 0x99, 0x5d, 0x71, 0xdf, 0xac, 0x0d, 0xda, 0x71, 0x4d, 0xb7,
	0xe3, 0xda, 0x89, 0xee, 0xd7, 0x8d, 0x82, 0x42, 0x3f, 0x16, 0x84, 0xc0, 0x8c, 0x47, 0x7b, 0xa8,
	0xa8, 0x97, 0xff, 0x93, 0x2a, 0x14, 0xdb, 0xc8, 0x6d, 0xe6, 0xc8, 0x16, 0xa9, 0x98, 0x8f, 0x9b,
	0x48, 0x2d, 0x3c, 0x36, 0xd5, 0xaa, 0x79, 0x79, 0x56, 0xf2, 0x38, 0x3f, 0xe0, 0x51, 0x9b, 0x1b,
	0x31, 0x04, 0x31, 0x21, 0x1b, 0xb6, 0xd0, 0x39, 0x99, 0x59, 0x5e, 0x02, 0x4f, 0x99, 0xdb, 0x08,
	0x8d, 0xe4, 0x0e, 0xcc, 0xca, 0x79, 0x50, 0xce, 0xc9, 0x38, 0x83, 0x05, 0x79, 0x04, 0x0b, 0x6d,
	0xec, 0xd0, 0xbe, 0x2b, 0x9a, 0x5a, 0xfe, 0xf9, 0x29, 0xf2, 0x9f, 0x57, 0x60, 0xb5, 0xb6, 0xfe,
	0xca, 0xc0, 0x42, 0x0a, 0x33, 0xc2, 0x9a, 0x2e, 0x3d, 0x13, 0x2b, 0x3d, 0xc9, 0x64, 0xf6, 0x26,
	0x4c, 0x26, 0x39, 0x99, 0xb9, 0x92, 0x93, 0x2d, 0x58, 0xb0, 0xfd, 0x36, 0x36, 0xd5, 0x7d, 0x0a,
	0xf9, 0x19, 0x68, 0xb9, 0x14, 0x9a, 0x8f, 0xa5, 0x35, 0x9c, 0x43, 0x3b, 0x50, 0x0c, 0xa8, 0x7d,
	0x16, 0xaa, 0x2f, 0xc4, 0xe4, 0x52, 0x1c, 0x82, 0x72, 0x86, 0xd0, 0x27, 0x70, 0x7b, 0x74, 0x06,
	0xf2, 0xf2, 0x9c, 0xcc, 0x65, 0x29, 0x71, 0x4d, 0x1b, 0xda, 0xdd, 0x20, 0x2c, 0x6d, 0xe2, 0xfb,
	0xff, 0x16, 0x86, 0xf4, 0x1d, 0x23, 0x3b, 0x77, 0x6c, 0x24, 0x1d, 0x98, 0x4f, 0x36, 0x2a, 0x62,
	0xca, 0x2f, 0x8e, 0x9d, 0x80, 0x66, 0xb2, 0xfb, 0x5b, 0x3b, 0xaf, 0xff, 0xf9, 0xef, 0xb7, 0xcc,
	0xdb, 0xd6, 0x72, 0x38, 0xa8, 0x79, 0xfd, 0x7c, 0xaf, 0x85, 0x82, 0xee, 0x45, 0x23, 0x9d, 0x1f,
	0x46, 0x03, 0x91, 0x7c, 0x0d, 0xc5, 0x58, 0x03, 0x23, 0xcb, 0xf2, 0x43, 0xa3, 0x23, 0x32, 0x1d,
	0x61, 0x53, 0x46, 0xb8, 0x4b, 0x2a, 0x13, 0x22, 0xd4, 0x5f, 0x3a, 0xed, 0x57, 0xa4, 0x0b, 0xa5,
	0xc4, 0x00, 0x23, 0x2b, 0xf2, 0x2b, 0xe3, 0x46, 0xab, 0x69, 0x8e, 0x73, 0x0d, 0xda, 0x88, 0xb5,
	0x2e, 0xa3, 0xad, 0x90, 0x49, 0xf5, 0x90, 0x6f, 0x60, 0x3e, 0x79, 0xdd, 0x15, 0x5b, 0x63, 0x27,
	0x96, 0xb9, 0x34, 0x22, 0xb1, 0x4f, 0xc2, 0xb7, 0x93, 0x2e, 0x6a, 0x77, 0x7a, 0x51, 0x81, 0x64,
	0x4c, 0xcf, 0x9d, 0x21, 0x63, 0xa9, 0x49, 0x64, 0x96, 0x47, 0x1d, 0xaa, 0x9c, 0x9a, 0x8c, 0xb3,
	0x4d, 0xb6, 0xa6, 0xc5, 0xa9, 0xeb, 0xb9, 0xc7, 0xc9, 0x6b, 0x23, 0xfd, 0xf2, 0xd1, 0x97, 0x6c,
	0x63, 0x8c, 0x26, 0x92, 0x9d, 0xce, 0x1c, 0x7b, 0x83, 0xad, 0x87, 0x32, 0x85, 0x5d, 0x6b, 0x7d,
	0x7c, 0x0a, 0xba, 0x0b, 0xf0, 0x43, 0x3d, 0xe9, 0xc8, 0xf7, 0x46, 0xe2, 0xe9, 0xa4, 0x33, 0xb8,
	0x9b, 0x16, 0xcc, 0xb5, 0xc2, 0xbf, 0x2b, 0xc3, 0xd7, 0xc8, 0xfd, 0x2b, 0xc2, 0xd7, 0x5f, 0x0e,
	0xbb, 0xf4, 0x2b, 0xf2, 0x63, 0xea, 0x59, 0xa6, 0xc7, 0x0d, 0xa9, 0x8e, 0x68, 0x27, 0x35, 0x4b,
	0xcd, 0x8d, 0x29, 0x08, 0x75, 0x2a, 0xf7, 0x64, 0x4e, 0x1b, 0xe4, 0x2a, 0x4a, 0xc8, 0xcf, 0x46,
	0xfa, 0x29, 0x94, 0x3c, 0x8e, 0x69, 0x83, 0x67, 0xa2, 0xf6, 0x14, 0x23, 0xbb, 0x37, 0x63, 0xe4,
	0x0f, 0x03, 0xcc, 0xc9, 0x6f, 0x22, 0xb2, 0x35, 0xe1, 0x70, 0xae, 0x2f, 0xd5, 0x0f, 0x65, 0x5a,
	0xef, 0x93, 0xf7, 0x6e, 0x92, 0xd6, 0x50, 0xba, 0x47, 0x3f, 0x19, 0xbf, 0x3e, 0xfe, 0xa2, 0x51,
	0x81, 0x39, 0x35, 0x31, 0xc8, 0x5b, 0x64, 0x01, 0x4a, 0x66, 0x51, 0x06, 0x3c, 0x16, 0x54, 0xf4,
	0xf9, 0xb3, 0x75, 0x58, 0x83, 0xdc, 0x11, 0x52, 0x86, 0x8c, 0xdc, 0xce, 0x67, 0xcc, 0x12, 0xed,
	0x8b, 0xe7, 0x3e, 0x73, 0x2e, 0xe5, 0xef, 0x84, 0x6a, 0xa6, 0x75, 0x0b, 0x20, 0x02, 0xbc, 0xf1,
	0xec, 0xa0, 0xeb, 0x88, 0xe7, 0xfd, 0x56, 0xcd, 0xf6, 0x7b, 0xf5, 0xb3, 0x7e, 0x0b, 0x3b, 0xae,
	0xff, 0x22, 0x76, 0x77, 0xe2, 0x3f, 0x51, 0xba, 0x7e, 0xd3, 0x76, 0x1d, 0xf4, 0x44, 0x2b, 0x27,
	0xe9, 0x3e, 0xf8, 0x3f, 0x00, 0x00, 0xff, 0xff, 0xb1, 0x47, 0x56, 0x80, 0x96, 0x0d, 0x00, 0x00,
}
